<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stanek](./bitburner.stanek.md) &gt; [chargeFragment](./bitburner.stanek.chargefragment.md)

## Stanek.chargeFragment() method

Charge a fragment, increasing its power.

**Signature:**

```typescript
chargeFragment(rootX: number, rootY: number): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  rootX | number | Root X against which to align the top left of the fragment. |
|  rootY | number | Root Y against which to align the top left of the fragment. |

**Returns:**

Promise&lt;void&gt;

Promise that lasts until the charge action is over.

## Remarks

RAM cost: 0.4 GB

